import { ChangeDetectorRef, OnDestroy } from "@angular/core";
import { InlineTranslation } from "@smallstack/i18n-shared";
import { Observable } from "rxjs";
import { FormService } from "../../services/form.service";
import * as i0 from "@angular/core";
export declare class FormFieldTitleComponent implements OnDestroy {
    protected formService: FormService;
    private cdr;
    protected set path(path: string);
    protected showRequired: boolean;
    protected data: string | InlineTranslation;
    protected isRequired: boolean;
    protected isInvalid$: Observable<boolean>;
    private subscription;
    constructor(formService: FormService, cdr: ChangeDetectorRef);
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormFieldTitleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormFieldTitleComponent, "smallstack-form-field-title", never, { "path": { "alias": "path"; "required": false; }; "showRequired": { "alias": "showRequired"; "required": false; }; }, {}, never, never, false, never>;
}
