import { TemplateRef } from "@angular/core";
import { BehaviorSubject, Subscription } from "rxjs";
import { FormService } from "../../services/form.service";
import * as i0 from "@angular/core";
export declare class AbstractSchemaFormTable {
    actions: TemplateRef<any>;
    showMissingFields: boolean;
    showActions: boolean;
    showHeader: boolean;
    showReset: boolean;
    /** if you don't want to render the root of formService.schema, then you can define a path here */
    protected schemaPath$: BehaviorSubject<string>;
    set path(schemaPath: string);
    protected manualCompactMode$: BehaviorSubject<any>;
    set compactMode(compactMode: boolean);
    showHint: boolean;
    protected subscription: Subscription;
    protected formService: FormService;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractSchemaFormTable, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AbstractSchemaFormTable, never, never, { "showMissingFields": { "alias": "showMissingFields"; "required": false; }; "showActions": { "alias": "showActions"; "required": false; }; "showHeader": { "alias": "showHeader"; "required": false; }; "showReset": { "alias": "showReset"; "required": false; }; "path": { "alias": "path"; "required": false; }; "compactMode": { "alias": "compactMode"; "required": false; }; "showHint": { "alias": "showHint"; "required": false; }; }, {}, ["actions"], never, false, never>;
}
